<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyspottedunipd.analysis.models.FacebookPostsDataFilter</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyspottedunipd-module.html">Package&nbsp;pyspottedunipd</a> ::
        <a href="pyspottedunipd.analysis-module.html">Package&nbsp;analysis</a> ::
        <a href="pyspottedunipd.analysis.models-module.html">Module&nbsp;models</a> ::
        Class&nbsp;FacebookPostsDataFilter
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class FacebookPostsDataFilter</h1><p class="nomargin-top"><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter">source&nbsp;code</a></span></p>
<center>

</center>
<hr />
<pre class="literalblock">
Parses and fixes raw data 

</pre>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">dataset_file</span>)</span><br />
      :param dataset_file: str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#parse_csv" class="summary-sig-name">parse_csv</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: tuple [], [] of []...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.parse_csv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#write_csv" class="summary-sig-name">write_csv</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">headers</span>,
        <span class="summary-sig-arg">data</span>,
        <span class="summary-sig-arg">out_file</span>)</span><br />
      :param headers: [] of str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.write_csv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== STATIC METHODS ==================== -->
<a name="section-StaticMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Static Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-StaticMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#convert_time_columns" class="summary-sig-name">convert_time_columns</a>(<span class="summary-sig-arg">headers</span>,
        <span class="summary-sig-arg">headers_to_convert</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      :param headers: [] of str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.convert_time_columns">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#add_time_columns" class="summary-sig-name">add_time_columns</a>(<span class="summary-sig-arg">headers</span>,
        <span class="summary-sig-arg">data</span>,
        <span class="summary-sig-arg">date_header</span>,
        <span class="summary-sig-arg">time_header</span>)</span><br />
      :param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param date_header: str
    Name of column containing date data
:param time_header: str
    Name of column containing time data
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.add_time_columns">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#add_msg_stats_columns" class="summary-sig-name">add_msg_stats_columns</a>(<span class="summary-sig-arg">headers</span>,
        <span class="summary-sig-arg">data</span>,
        <span class="summary-sig-arg">message_column</span>)</span><br />
      :param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param message_column: str
    Name of column with message post
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.add_msg_stats_columns">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">dataset_file</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param dataset_file: str
    Path to folder with data to analyse

</pre>
  <dl class="fields">
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="parse_csv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">parse_csv</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.parse_csv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: tuple [], [] of []
    Headers of csv file and data

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="write_csv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">write_csv</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">headers</span>,
        <span class="sig-arg">data</span>,
        <span class="sig-arg">out_file</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.write_csv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param out_file: str
    Path to output file
:return: void
    Saves data in csv file

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="convert_time_columns"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">convert_time_columns</span>(<span class="sig-arg">headers</span>,
        <span class="sig-arg">headers_to_convert</span>,
        <span class="sig-arg">data</span>)</span>
    <br /><em class="fname">Static Method</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.convert_time_columns">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param headers: [] of str
    Column names of data
:param headers_to_convert: [] of str
    Column names of data to convert from time format to float
:param data: [] of []
    Raw data
:return: [] of []
    Input data but with converted time columns

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="add_time_columns"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_time_columns</span>(<span class="sig-arg">headers</span>,
        <span class="sig-arg">data</span>,
        <span class="sig-arg">date_header</span>,
        <span class="sig-arg">time_header</span>)</span>
    <br /><em class="fname">Static Method</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.add_time_columns">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param date_header: str
    Name of column containing date data
:param time_header: str
    Name of column containing time data
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds hour, minute, week day, month, year headers

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="add_msg_stats_columns"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_msg_stats_columns</span>(<span class="sig-arg">headers</span>,
        <span class="sig-arg">data</span>,
        <span class="sig-arg">message_column</span>)</span>
    <br /><em class="fname">Static Method</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyspottedunipd.analysis.models-pysrc.html#FacebookPostsDataFilter.add_msg_stats_columns">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param message_column: str
    Name of column with message post
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds message length, number of words, average word length column

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Thu Apr 20 22:50:23 2017
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
